
import com.jniwrapper.Int;
import com.jniwrapper.win32.automation.IDispatch;
import com.jniwrapper.win32.automation.types.Variant;

/**
 * Observable dispatch interface.
 *
 * @author Serge Piletsly
 */
public interface MyObservable extends IDispatch {

    public void addObserver(IDispatch observer);

    public void notifyObservers(Variant value);

    public Int countObservers();

    public void simulateEventsFromJava();
}
